## org.apache.commons.collections
Interface Factory

All Known Implementing Classes:
  ConstantFactory, ExceptionFactory, InstantiateFactory

    public interface Factory

Defines a functor interface implemented by classes that create objects.

A `Factory` creates an object without using an input parameter. If an input parameter is required, then `Transformer` is more appropriate.

Standard implementations of common factories are provided by `FactoryUtils`. These include factories that return a constant, a copy of a prototype or a new instance.

Since:
  Commons Collections 2.1
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Arron Bates, Stephen Colebourne

Method Summary
`java.lang.Object` `create()` Create a new object.

Method Detail

### create

    java.lang.Object create()

  Create a new object.

  Returns:
    a new object
  Throws:
    `FunctorException` - (runtime) if the factory cannot create an object

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.